> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Code Scorer

> Validate a code scorer with optional simple input/output test.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/code/validate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/code/validate:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Validate Code Scorer
      description: Validate a code scorer with optional simple input/output test.
      operationId: validate_code_scorer_v2_scorers_code_validate_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_validate_code_scorer_v2_scorers_code_validate_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateCodeScorerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    Body_validate_code_scorer_v2_scorers_code_validate_post:
      properties:
        file:
          type: string
          format: binary
          title: File
        test_input:
          anyOf:
            - type: string
            - type: 'null'
          title: Test Input
        test_output:
          anyOf:
            - type: string
            - type: 'null'
          title: Test Output
        required_scorers:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Scorers
        scoreable_node_types:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
      type: object
      required:
        - file
      title: Body_validate_code_scorer_v2_scorers_code_validate_post
    ValidateCodeScorerResponse:
      properties:
        task_id:
          type: string
          format: uuid4
          title: Task Id
      type: object
      required:
        - task_id
      title: ValidateCodeScorerResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````